/statuses/{status_id} Update a specific status
Updates a contact status. Admin only. text and color are required on every request unless you pass partial=true, and description is cleared if you omit it on a non-partial update.
Path parameters
| Name | Type | Description |
|---|---|---|
status_id req | string | Status ID |
Request body
idstringbson-idID of the status
statusstringType of the status
enum: lead · prospect · customer · inactive · general · custom1 · custom2 · customX
textstringrequiredDisplay text of the status
descriptionstringLonger description of what the status is for
colorstringhex-colorrequiredThe color of the status (six character hex value)
enum: 666666 · 3399ff · cc0000 · f96600 · 000000 · ff00ff · 009900
countsintegerint32Number of contacts the (logged API) user owns, with the status
total_countintegerint32Number of contacts the entire team owns, with the status
action_stream_countintegerint32Number of contacts the (logged API) user has actions with, who also have the status
team_countsarray<object>Number of contacts, with the status (for each team member)
array item fields →
user_idstringbson-idID of the user
countsintegerint32Number of contacts the team member owns, with the status
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
statusobjectValues which help qualify where contacts are in the sales pipeline. The list of Statuses is already populated but it may be updated if needed, to better fit your organization.
object fields →
idstringbson-idID of the status
statusstringType of the status
enum: lead · prospect · customer · inactive · general · custom1 · custom2 · customX
textstringrequiredDisplay text of the status
descriptionstringLonger description of what the status is for
colorstringhex-colorrequiredThe color of the status (six character hex value)
enum: 666666 · 3399ff · cc0000 · f96600 · 000000 · ff00ff · 009900
countsintegerint32Number of contacts the (logged API) user owns, with the status
total_countintegerint32Number of contacts the entire team owns, with the status
action_stream_countintegerint32Number of contacts the (logged API) user has actions with, who also have the status
team_countsarray<object>Number of contacts, with the status (for each team member)
array item fields →
user_idstringbson-idID of the user
countsintegerint32Number of contacts the team member owns, with the status
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.